apiVersion: batch/v1
kind: Job
metadata:
  name:  {{ .Values.backend_flask.migrations.name }}
  namespace: {{ include "namespace" . }}
  labels:
    app.kubernetes.io/name: {{ .Values.project_name_Label }}
    app.kubernetes.io/component:  {{ .Values.migr_component_Label }}
spec:
  ttlSecondsAfterFinished: 100  # Delet job 100 sec
  activeDeadlineSeconds: 120
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ .Values.project_name_Label }}
        app.kubernetes.io/component:  {{ .Values.migr_component_Label }}
    spec:
      restartPolicy: Never
      containers:
        - name: migrations
          image:  "{{ .Values.global.image_name }}"
          imagePullPolicy: IfNotPresent
          command:
            - sh
            - -c
            - |
              sleep 5 && flask db upgrade && python seed.py
          env:
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  name: db-secret
                  key: DB_User
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: db-secret
                  key: DB_Password
                  
            - name: DB_HOST
              valueFrom:
                configMapKeyRef:
                  name: configmap-app	
                  key: DB_Host

            - name: DATABASE_URL	
              valueFrom:
                secretKeyRef:
                  name: db-secret			 
                  key: DATABASE_URL